@echo off
echo Noise Measurements for D0901846 (connected to D040180E) as part of test procedure E1100429.
echo %date% %time%
echo Running noise measurement FFTs for D0901846 Low Noise Power rev D.
echo Channel A1 should be connected to a pair of logic probes.
echo One probe should be grounded and the other should be connected to TP12.
set /p SERIAL="Serial number of D040180E (CM) board (No :'s, please):"
set FILENAME=%SERIAL%PowerTP12Noise%date:~10,4%-%date:~4,2%-%date:~7,2%-%time:~0,2%%time:~3,2%
echo Results will be recorded to %FILENAME%.txt
echo If results seem high, try turning Auto Range off and on.
FFTSR785.py -f %FILENAME% -i %GPIB_IP_ADDRESS% -b 1kHz -n 800 -v 20 --ic1 AC
echo TP12 FFT complete. Move probe from TP12 to TP13.
pause
set FILENAME=%SERIAL%PowerTP13Noise%date:~10,4%-%date:~4,2%-%date:~7,2%-%time:~0,2%%time:~3,2%
echo Results will be recorded to %FILENAME%.txt
FFTSR785.py -f %FILENAME% -i %GPIB_IP_ADDRESS% -b 1kHz -n 800 -v 20 --ic1 AC
echo TP13 FFT complete. Move probe from TP13 to TP11.
pause
set FILENAME=%SERIAL%PowerTP11Noise%date:~10,4%-%date:~4,2%-%date:~7,2%-%time:~0,2%%time:~3,2%
echo Results will be recorded to %FILENAME%.txt
FFTSR785.py -f %FILENAME% -i %GPIB_IP_ADDRESS% -b 1kHz -n 800 -v 20 --ic1 AC
echo TP13 FFT complete. Move probe from TP11 to TP6.
pause
set FILENAME=%SERIAL%PowerTP6Noise%date:~10,4%-%date:~4,2%-%date:~7,2%-%time:~0,2%%time:~3,2%
echo Results will be recorded to %FILENAME%.txt
FFTSR785.py -f %FILENAME% -i %GPIB_IP_ADDRESS% -b 1kHz -n 800 -v 20 --ic1 AC
echo --- Noise Measurements Complete ---
pause